' @(#)13    1.1  src/hc/client/collectors/C/vbs/mcafeefw.vbs, hc.collectors.win, scmweb, 051102a  11/1/05  11:47:10   
' IBM Security Compliance Manager
' 5724-F82                       
' (C) IBM, 2005.                 
' All Rights Reserved            
' Licensed Materials - Property of IBM 
'
' US Government Users Restricted Rights - Use, duplication or 
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

Option Explicit

On Error Resume Next
Err.Clear

Dim strComputer
Dim cmdStr
Dim objWMIService
Dim colListOfServices
Dim objItem
Dim property
Dim sh

Dim installPath
Dim installDate
Dim active
Dim installVersion
Dim startMode
Dim serviceStarted
Dim serviceStatus


if Wscript.Arguments.Named.Exists("computer") then
  strComputer= WScript.Arguments.Named.Item("computer")
else
  strComputer = "."
end if

 cmdStr= "winmgmts:{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2"

 Set objWMIService = GetObject(cmdStr)

 Set colListOfServices = objWMIService.ExecQuery( "Select * from Win32_Service where name ='FireSvc'")
  For Each objItem in colListOfServices
    For each property in objItem.Properties_
     if not IsNull(property) then
      if property.name = "Started" then
        serviceStarted = property.value
      end if
      if property.name = "StartMode" then
        startMode = property.value
      end if
      if property.name = "Status" then
        serviceStatus = property.value
      end if
     end if
    Next
  Next

 Set sh = Wscript.CreateObject("WScript.Shell")

 installPath= sh.RegRead("HKLM\Software\Network Associates\McAfee Fire\INSTALLPATH")
 if not Err.number = 0 then
   installPath="[ERROR:" & Err.description & "]"
   Err.clear
 end if


 installVersion= sh.RegRead("HKLM\Software\Network Associates\McAfee Fire\VERSION")
 if not Err.number = 0 then
      installVersion="[ERROR:" & Err.description & "]"
      Err.clear
 end if

 installDate= sh.RegRead("HKLM\Software\Network Associates\McAfee Fire\INSTALLDATE")
 if not Err.number = 0 then
      installDate="[ERROR:" & Err.description & "]"
      Err.clear
 end if

 active= sh.RegRead("HKLM\Software\Network Associates\McAfee Fire\State")
 if not Err.number = 0 then
      active="[ERROR:" & Err.description & "]"
      Err.clear
 end if

 Wscript.echo "installDate=" & installDate
 Wscript.echo "installPath=" & installPath
 Wscript.echo "installVersion=" & installVersion
 Wscript.echo "active=" & active
 Wscript.echo "serviceStartMode=" & startMode
 Wscript.echo "serviceStatus=" & serviceStatus
 Wscript.echo "serviceStarted=" & serviceStarted
