' %Z%%M%    %I%  %W%  %G%  %U
'
' IBM Confidential
' OCO Source Materials
'
' 5724-F82
'
' (C) Copyright IBM Corp. 2006.
'
' The source code for this program is not published or otherwise
' divested of its trade secrets, irrespective of what has been
' deposited with the US Copyright Office.


''''''''''''''''''''''''''''''''''''''''''''''''''
' Constants for possible computer roles (DC is Domain 
' Controller, WST is Workstation and SVR is Server)
Const ROLE_STANDALONE_WST = 0
Const ROLE_MEMBER_WST = 1
Const ROLE_STANDALONE_SVR = 2
Const ROLE_MEMBER_SVR = 3
Const ROLE_BACKUP_DC = 4
Const ROLE_PRIMARY_DC = 5

On error resume next

'Check my role
Set wmi = GetObject("winmgmts:\\.\root\cimv2")
If IsNull(wmi) Then
    WScript.StdErr.Write "[Error] Error getting cimv2 object"
    WScript.Quit(-1)
End If

Set compList = wmi.ExecQuery("Select DomainRole from Win32_ComputerSystem")
For Each computer in compList
	computerRole = computer.DomainRole
Next

WScript.Echo "[System]"
If (computerRole = ROLE_BACKUP_DC) OR (computerRole = ROLE_PRIMARY_DC) Then
	WScript.Echo "IsDomainController=1"
Else
	WScript.Echo "IsDomainController=0"
End If